/*********************************************************************
 *
 *              BLINK LED 2 on RA0 for PIC32MX120F032B
 *
 *********************************************************************
 * Qlɂ:        custom_ld_file.c
 *                    operate_in_idle.c
 ********************************************************************/
#include <p32xxxx.h>			// Required for SFR defs
#include <plib.h>				// I/O|[gpɒǉ

//
#pragma config FPLLMUL = MUL_20, FPLLIDIV = DIV_2, FPLLODIV = DIV_2, FWDTEN = OFF
#pragma config POSCMOD = OFF, FNOSC = FRCPLL, FPBDIV = DIV_2

#define SYS_FREQ (8000000L)

void foo(int index)
{
	register int i;
	for(i=0;i<index;i++);
}

int main(void)
{
	// Configure the System
	SYSTEMConfig(SYS_FREQ, SYS_CFG_WAIT_STATES | SYS_CFG_PCACHE);

//    mPORTAClearBits(BIT_7 | BIT_6 | BIT_5 | BIT_5 | BIT_4 | BIT_3 | BIT_2 | BIT_1 | BIT_0);
    mPORTAClearBits(BIT_0);

//    mPORTASetPinsDigitalOut(BIT_7 | BIT_6 | BIT_5 | BIT_5 | BIT_4 | BIT_3 | BIT_2 | BIT_1 | BIT_0);
    mPORTASetPinsDigitalOut(BIT_0);

	while(1){
		foo(1000000);
	    mPORTAToggleBits(BIT_0);
	}

	return 0;
}

